package com.dsk.jsk.domain.vo;

import com.dsk.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 城投企业
 * @author lc
 * @create 2023/11/13
 */
@Data
public class UrbanInvestmentExportVo implements Serializable {

    @Excel(name = "序号",  width = 6)
    private Integer id;

    @Excel(name = "公司名称",  width = 15)
    private String companyName;

    @Excel(name = "区域",  width = 15)
    private String domicile;

    @Excel(name = "招标数量",  width = 10)
    private Integer biddingCount;

    @Excel(name = "城投拿地",  width = 10)
    private Integer landInfoCount;

    @Excel(name = "供应商",  width = 10)
    private Integer supplierCount;

    @Excel(name = "债卷余额" , suffix = "亿元")
    private Double creditBalance;

    @Excel(name = "主体评级",  width = 15)
    private String bratingSubjectLevel;

    @Excel(name = "行政级别",  width = 15)
    private String uipExecutiveLevel;

    @Excel(name = "股东背景",  width = 15)
    private String shareholderBg;

    @Excel(name = "股权关系",  width = 15)
    private String equityRelationship;

    @Excel(name = "平台重要性",  width = 15)
    private String platformImportance;

    @Excel(name = "城投业务类型",  width = 15)
    private String uipBusinessType;

    @Excel(name = "实控人",  width = 15)
    private String actualController;

    @Excel(name = "最新报告期",  width = 15, dateFormat = "yyyy/MM/dd")
    private Date latestReportPeriod;

    @Excel(name = "总资产" , suffix = "亿元")
    private Double totalAssets;

    @Excel(name = "归母净资产" , suffix = "亿元")
    private Double belongNetAssets;

}

